Subject: Re: bug#8219: Effect of deletions on indirect buffers (Bug#8219)

From: Chong Yidong <[email-masked]>
Date: Fri, 11 Mar 2011 15:58:57 -0500

Eli Zaretskii <[email-masked]> writes:

>> Hence, in the aftermath of a deletion, buffer B's values of PT (and
>> BUF_BEGV and BUF_ZV) can be larger than BUF_ZV.
>
> Isn't that a bug, right there?  Why doesn't del_range_2 update the
> indirect buffer (B) as well, when deletion removes text so that its PT
> becomes invalid?

This is not currently easy.  We don't keep track of indirect buffers
(looping over the buffer list each time we do a deletion would be rather
inefficient), so this would need some new members of the buffer struct.